Name:		CGSI-gSOAP
Version:	1.3.2.2
Release:	4%{?dist}
Summary:	GSI plugin for gSOAP

Group:		System Environment/Libraries
License:	EU Datagrid
URL:		http://glite.web.cern.ch/glite/
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:	CGSI_gSOAP = %{version}-%{release}
Obsoletes:	CGSI_gSOAP < 1.3.2.2-3
BuildRequires:	globus-gss-assist-devel
BuildRequires:	globus-gssapi-gsi-devel
BuildRequires:	gsoap-devel
BuildRequires:	voms-devel
BuildRequires:	doxygen

%description
CGSI allows writing gSOAP clients with GSI authentication.

%package devel
Summary:	GSI plugin for gSOAP - development files
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gsoap-devel
Provides:	CGSI_gSOAP-devel = %{version}-%{release}
Obsoletes:	CGSI_gSOAP-devel < 1.3.2.2-3

%description devel
CGSI allows writing gSOAP clients with GSI authentication.
This package contains the header files for development.

%prep
%setup -q
%patch0 -p1

%build
cd src
make USE_VOMS=yes WITH_CPP_LIBS=yes VOMS_LOCATION=/usr LIBDIR=%{_lib} \
  VERSION=`grep module.version ../project/version.properties | sed 's/.*= *//'`

%install
rm -rf $RPM_BUILD_ROOT

chmod 644 LICENSE RELEASE-NOTES

cd src
make USE_VOMS=yes WITH_CPP_LIBS=yes VOMS_LOCATION=/usr LIBDIR=%{_lib} \
  VERSION=`grep module.version ../project/version.properties | sed 's/.*= *//'` \
  install

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}
mv $RPM_BUILD_ROOT%{_prefix}/share/doc/CGSI $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}

rm $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libcgsi_plugin.so.*
%{_libdir}/libcgsi_plugin_cpp.so.*
%{_libdir}/libcgsi_plugin_voms.so.*
%{_libdir}/libcgsi_plugin_voms_cpp.so.*
%doc LICENSE RELEASE-NOTES

%files devel
%defattr(-,root,root,-)
%{_includedir}/cgsi_plugin.h
%{_libdir}/libcgsi_plugin.so
%{_libdir}/libcgsi_plugin_cpp.so
%{_libdir}/libcgsi_plugin_voms.so
%{_libdir}/libcgsi_plugin_voms_cpp.so
%doc %{_docdir}/%{name}-devel-%{version}
%doc %{_mandir}/man*/*

%changelog
* Tue Jun 30 2009 Anders Wäänänen <waananen@nbi.dk> - 1.3.2.2-4
- Fix docdir handling

* Wed Jan 14 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.3.2.2-3
- Rebuild against distribution Globus

* Wed Nov 19 2008 Anders Wäänänen <waananen@nbi.dk> - 1.3.2.2-2
- Update patch to use $(CPP) instead of ld (2 places)

* Sun Oct 26 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.3.2.2-1
- Update to version 1.3.2.2

* Fri Jan 11 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.2.1.2-1
- Update to version 1.2.1.2

* Tue Jul 24 2007 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.1.17.2-2
- Rebuild against newer globus and voms

* Wed May  9 2007 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.1.17.2-1
- Initial build
